tigase.jaxmpp.core.client.xmpp.modules.socks5

## Class StreamInitiationOfferAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.socks5.StreamInitiationOfferAsyncCallback

- All Implemented Interfaces:
    AsyncCallback

      public abstract class StreamInitiationOfferAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamInitiationOfferAsyncCallback(String sid)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onAccept(String sid)`
    `abstract void` | `onError()`
    `void` | `onError(Stanza responseStanza, XMPPException.ErrorCondition error)` Called when received response has type error.
    `abstract void` | `onReject()`
    `void` | `onSuccess(Stanza stanza)` Called when received response has type result.
    `void` | `onTimeout()` Called when response wasn't received in given time.
    `void` | `setSid(String sid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamInitiationOfferAsyncCallback

          public StreamInitiationOfferAsyncCallback(String sid)

  - ### Method Detail

    - #### onAccept

          public abstract void onAccept(String sid)

    - #### onError

          public abstract void onError()

    - #### onError

          public void onError(Stanza responseStanza,
                              XMPPException.ErrorCondition error)
                       throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type error.
      Specified by:
        `onError` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received IQ stanza
        `error` - error condition
      Throws:
        `JaxmppException`

    - #### onReject

          public abstract void onReject()

    - #### onSuccess

          public void onSuccess(Stanza stanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `stanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onTimeout

          public void onTimeout()

      Description copied from interface: `AsyncCallback`
      Called when response wasn't received in given time.
      Specified by:
        `onTimeout` in interface `AsyncCallback`

    - #### setSid

          public void setSid(String sid)

Copyright © 2006–2023 Tigase. All rights reserved.